#ifndef ETEXTINPUT_H
#define ETEXTINPUT_H

#include <LoQClass/loqdialog.h>

namespace Ui {
class eTextInput;
}

class eTextInput : public LoQDialog
{
    Q_OBJECT

public:
    explicit eTextInput(const QString &text, QWidget *parent = nullptr);
    ~eTextInput();

signals:
    void sTextChanged(const QString &);

protected slots:
    void onTextChanged();

private:
    Ui::eTextInput *ui;
};

#endif // ETEXTINPUT_H
